View Issue Details

IDProjectCategoryView StatusLast Update
0016273LazarusLCLpublic2010-04-19 08:23
ReporterMario Bonati Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWin XP 
Product Version0.9.29 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0016273: "TCustomForm.ShowModal impossible": can' show a modal form at runtime.
DescriptionRun the attached project and then click on the button. An exception is raised:

TCustomForm.ShowModal impossible

TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

2010-04-14 16:26

 

ShowModal.zip (66,313 bytes)

Mario Bonati

2010-04-15 18:16

reporter   ~0036730

Tried now: same problem also on Linux

Paul Ishenin

2010-04-16 04:21

manager   ~0036742

You can ShowModal already visible form. Your Form2 has Visible = True and therefore it is visible after your Application.CreateForm(TForm2, Form2) call. Then you call the ShowModal method when Form2 is already Visible.

Issue History

Date Modified Username Field Change
2010-04-14 16:26 Mario Bonati New Issue
2010-04-14 16:26 Mario Bonati File Added: ShowModal.zip
2010-04-14 16:26 Mario Bonati Widgetset => Win32/Win64
2010-04-15 18:16 Mario Bonati Note Added: 0036730
2010-04-16 04:21 Paul Ishenin LazTarget => -
2010-04-16 04:21 Paul Ishenin Status new => resolved
2010-04-16 04:21 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-04-16 04:21 Paul Ishenin Resolution open => fixed
2010-04-16 04:21 Paul Ishenin Assigned To => Paul Ishenin
2010-04-16 04:21 Paul Ishenin Note Added: 0036742
2010-04-19 08:23 Mario Bonati Status resolved => closed